PHP 手冊
前一頁 |  | 下一頁

# dbase_pack

(PHP 3, PHP 4 , PHP 5)

dbase_pack -- Packs a database

## Description

bool dbase_pack ( int dbase_identifier )

Packs the specified database by permanently deleting all records marked for deletion using dbase_delete_record().

## Parameters

dbase_identifier

  The database link identifier, returned by dbase_open() or dbase_create().

## Return Values

成功回傳`TRUE`失敗回傳`FALSE`。

## 範例

範例 1. Emptying a dBase database

`<?php // open in read-write mode $db = dbase_open('/tmp/test.dbf', 2); if ($db) { $record_numbers = dbase_numrecords($db); for ($i = 1; $i <= $record_numbers; $i++) { dbase_delete_record($db, $i); } // expunge the database dbase_pack($db); } ?>`

## 參考

dbase_delete_record()

前一頁 | 內容 | 下一頁
dbase_open | 上一層 | dbase_replace_record